org.apache.naming

## Class ContextAccessController

- java.lang.Object
- - org.apache.naming.ContextAccessController

    public class ContextAccessController
    extends Object

Handles the access control on the JNDI contexts.

Author:
  Remy Maucherat

### Constructor Summary

Constructors
Constructor and Description
`ContextAccessController()`

### Method Summary

Methods
`static boolean` `checkSecurityToken(Object name, Object token)` Check a submitted security token.
`static boolean` `isWritable(Object name)` Returns if a context is writable.
`static void` `setReadOnly(Object name)` Set whether or not a context is writable.
`static void` `setSecurityToken(Object name, Object token)` Set a security token for a context.
`static void` `setWritable(Object name, Object token)` Allow writing to a context.
`static void` `unsetSecurityToken(Object name, Object token)` Remove a security token for a context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContextAccessController

    public ContextAccessController()

### Method Detail

#### setSecurityToken

    public static void setSecurityToken(Object name,
                        Object token)

Set a security token for a context. Can be set only once.

Parameters:
  `name` - Name of the context
  `token` - Security token

#### unsetSecurityToken

    public static void unsetSecurityToken(Object name,
                          Object token)

Remove a security token for a context.

Parameters:
  `name` - Name of the context
  `token` - Security token

#### checkSecurityToken

    public static boolean checkSecurityToken(Object name,
                             Object token)

Check a submitted security token. The submitted token must be equal to the token present in the repository. If no token is present for the context, then returns true.

Parameters:
  `name` - Name of the context
  `token` - Submitted security token

#### setWritable

    public static void setWritable(Object name,
                   Object token)

Allow writing to a context.

Parameters:
  `name` - Name of the context
  `token` - Security token

#### setReadOnly

    public static void setReadOnly(Object name)

Set whether or not a context is writable.

Parameters:
  `name` - Name of the context

#### isWritable

    public static boolean isWritable(Object name)

Returns if a context is writable.

Parameters:
  `name` - Name of the context